# Class MavenPlugin

java.lang.Object
org.gradle.api.plugins.MavenPlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

public class MavenPlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>

A `Plugin` which allows project artifacts to be deployed to a Maven repository, or installed to the local Maven cache.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPILE_PRIORITY`
`static final String`
`INSTALL_TASK_NAME`
`static final int`
`PROVIDED_COMPILE_PRIORITY`
`static final int`
`PROVIDED_RUNTIME_PRIORITY`
`static final int`
`RUNTIME_PRIORITY`
`static final int`
`TEST_COMPILE_PRIORITY`
`static final int`
`TEST_RUNTIME_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`MavenPlugin(org.gradle.internal.Factory<org.gradle.internal.logging.LoggingManagerInternal> loggingManagerFactory, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider mavenSettingsProvider, org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator mavenRepositoryLocator, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPILE_PRIORITY

public static final int COMPILE_PRIORITY

See Also:
  - Constant Field Values

### RUNTIME_PRIORITY

public static final int RUNTIME_PRIORITY

See Also:
  - Constant Field Values

### TEST_COMPILE_PRIORITY

public static final int TEST_COMPILE_PRIORITY

See Also:
  - Constant Field Values

### TEST_RUNTIME_PRIORITY

public static final int TEST_RUNTIME_PRIORITY

See Also:
  - Constant Field Values

### PROVIDED_COMPILE_PRIORITY

public static final int PROVIDED_COMPILE_PRIORITY

See Also:
  - Constant Field Values

### PROVIDED_RUNTIME_PRIORITY

public static final int PROVIDED_RUNTIME_PRIORITY

See Also:
  - Constant Field Values

### INSTALL_TASK_NAME

public static final String INSTALL_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### MavenPlugin

@Inject public MavenPlugin(org.gradle.internal.Factory<org.gradle.internal.logging.LoggingManagerInternal> loggingManagerFactory, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider mavenSettingsProvider, org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator mavenRepositoryLocator, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object